package com.ruoyi.framework.recovery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 微信中奖记录对象 wx_user_lottery
 * 
 * @author jin
 * @date 2024-12-17
 */
public class WxUserLottery extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 抽奖记录id */
    private Long id;

    /** 奖品id */
    @Excel(name = "奖品id")
    private Long lotteryId;

    /** 抽奖编号 */
    @Excel(name = "抽奖编号")
    private String lotteryCode;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private String openId;

    /** 中奖标记 */
    @Excel(name = "中奖标记")
    private String mark;

    /** 抽奖方式 */
    @Excel(name = "抽奖方式")
    private String lotteryType;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLotteryId(Long lotteryId) 
    {
        this.lotteryId = lotteryId;
    }

    public Long getLotteryId() 
    {
        return lotteryId;
    }
    public void setLotteryCode(String lotteryCode)
    {
        this.lotteryCode = lotteryCode;
    }

    public String getLotteryCode()
    {
        return lotteryCode;
    }
    public void setOpenId(String openId)
    {
        this.openId = openId;
    }

    public String getOpenId()
    {
        return openId;
    }
    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }
    public void setUpdateDate(Date updateDate) 
    {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() 
    {
        return updateDate;
    }

    public String getLotteryType() {
        return lotteryType;
    }

    public void setLotteryType(String lotteryType) {
        this.lotteryType = lotteryType;
    }

    @Override
    public String toString() {
        return "WxUserLottery{" +
                "id=" + id +
                ", lotteryId=" + lotteryId +
                ", lotteryNum='" + lotteryCode + '\'' +
                ", userId=" + openId +
                ", mark='" + mark + '\'' +
                ", lotteryType='" + lotteryType + '\'' +
                ", createDate=" + createDate +
                ", updateDate=" + updateDate +
                '}';
    }
}
